# Ogre::RenderTarget::FrameStats Struct Reference

`#include <OgreRenderTarget.h>`

List of all members.

## Public Attributes

float | lastFPS
float | avgFPS
float | bestFPS
float | worstFPS
unsigned long | bestFrameTime
unsigned long | worstFrameTime
size_t | triangleCount
size_t | batchCount

## Detailed Description

Definition at line 73 of file OgreRenderTarget.h.

## Member Data Documentation

float Ogre::RenderTarget::FrameStats::lastFPS

Definition at line 75 of file OgreRenderTarget.h.

float Ogre::RenderTarget::FrameStats::avgFPS

Definition at line 76 of file OgreRenderTarget.h.

float Ogre::RenderTarget::FrameStats::bestFPS

Definition at line 77 of file OgreRenderTarget.h.

float Ogre::RenderTarget::FrameStats::worstFPS

Definition at line 78 of file OgreRenderTarget.h.

unsigned long Ogre::RenderTarget::FrameStats::bestFrameTime

Definition at line 79 of file OgreRenderTarget.h.

unsigned long Ogre::RenderTarget::FrameStats::worstFrameTime

Definition at line 80 of file OgreRenderTarget.h.

size_t Ogre::RenderTarget::FrameStats::triangleCount

Definition at line 81 of file OgreRenderTarget.h.

size_t Ogre::RenderTarget::FrameStats::batchCount

Definition at line 82 of file OgreRenderTarget.h.

The documentation for this struct was generated from the following file:

- OgreRenderTarget.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Dec 27 17:34:21 2009